# API v1 (deprecated)

### ⚠️ Generated by LLM

This documentation was generated by AI and *is guaranteed to be incorrect* and *out of date*. It is here only as an example reference so people can explore. The Ethos APIs are still evolving rapidly.

{% hint style="danger" %}
🚨 Ethos is not responsible if you mess up your account or lose money because you used this API documentation.
{% endhint %}

### API Overview

The Ethos API is organized into the following sections:

* [**Attestations**](/api-documentation/api-v1-deprecated/attestations.md): Query service verifications and attestations
* [**Categories**](/api-documentation/api-v1-deprecated/categories.md): Manage user categories
* [**Contracts**](/api-documentation/api-v1-deprecated/contracts.md): Get contract addresses
* [**Contributions**](/api-documentation/api-v1-deprecated/contributions.md): Manage user contributions
* [**Events**](/api-documentation/api-v1-deprecated/events.md): Process blockchain events
* [**Markets**](/api-documentation/api-v1-deprecated/markets.md): Access reputation market data
* [**Notifications**](/api-documentation/api-v1-deprecated/notifications.md): Manage user notifications
* [**Profiles**](/api-documentation/api-v1-deprecated/profiles.md): Access and manage user profiles
* [**Replies**](/api-documentation/api-v1-deprecated/replies.md): Query comment replies
* [**Scores**](/api-documentation/api-v1-deprecated/scores.md): Access user credibility scores and history
* [**Search**](/api-documentation/api-v1-deprecated/search.md): Search for profiles, users, etc.
* [**Signatures**](/api-documentation/api-v1-deprecated/signatures.md): Handle creation of signed messages (attestations, addresses, slashes)
* [**Slashes**](/api-documentation/api-v1-deprecated/slashes.md): Query and manage slashes
* [**Twitter**](/api-documentation/api-v1-deprecated/twitter.md): Access Twitter-related user information
* [**Users**](/api-documentation/api-v1-deprecated/users.md): Access user data and statistics
* [**Vouches**](/api-documentation/api-v1-deprecated/vouches.md): Query and manage vouches between users
* [**XP**](/api-documentation/api-v1-deprecated/xp.md): Manage and query user experience points (XP)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.ethos.network/api-documentation/api-v1-deprecated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
